Name:           perl-Parse-Method-Signatures
Version:        1.003010
Release:        1%{?dist}
Summary:        Perl6 like method signature parser
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-Method-Signatures/
Source0:        http://www.cpan.org/authors/id/A/AS/ASH/Parse-Method-Signatures-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(aliased)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Traits) >= 0.06
BuildRequires:  perl(MooseX::Types) >= 0.10
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(MooseX::Types::Structured)
BuildRequires:  perl(namespace::clean) >= 0.10
BuildRequires:  perl(PPI) >= 1.203
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
Requires:       perl(List::MoreUtils)
Requires:       perl(Moose)
Requires:       perl(MooseX::Traits) >= 0.06
Requires:       perl(MooseX::Types) >= 0.10
Requires:       perl(MooseX::Types::Moose)
Requires:       perl(MooseX::Types::Structured)
Requires:       perl(namespace::clean) >= 0.10
Requires:       perl(PPI) >= 1.203
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Inspired by Perl6::Signature but streamlined to just support the subset
deemed useful for TryCatch and MooseX::Method::Signatures.

%prep
%setup -q -n Parse-Method-Signatures-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 11 2009 Dave Cross <dave@mag-sol.com> 1.003010-1
- Specfile autogenerated by cpanspec 1.78.
